package com.bonus.hn.bearing.capacity.backstage.project.dao;

import com.bonus.hn.bearing.capacity.backstage.project.entity.LineProjectBean;
import com.bonus.hn.bearing.capacity.backstage.project.entity.TowerProjectBean;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * APP登录记录表(AppLoginAudit)表数据库访问层
 *
 * @author makejava
 * @since 2022-12-12 13:57:37
 */
@Mapper
public interface TowerProjectDao {


    List<TowerProjectBean> getFirmList(TowerProjectBean o);

    int addProjectInfo(TowerProjectBean bean);

    TowerProjectBean getListProject(String id);

    int updateProject(TowerProjectBean bean);

    int delProjectByIds(String id);

    int delProjectId(String id);

    int getTowerNum(TowerProjectBean vo);

    String getCentralMeridian(TowerProjectBean vo);

    void updataTowerImportExcel(TowerProjectBean vo);

    void addTowerImportExcel(TowerProjectBean vo);

    int getCompletionWork(String engineerId);
}

